/*
  mffm Time Code
  Time Code for multimedia systems

  Copyright (C) 2000, 2001 Matt R. Flax <flatmax@ieee.org>
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.
  
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.
  
  You have received a copy of the GNU Lesser General Public License
  along with this library.
*/
#include "fieldInterface.H"
#include "XPMDigits.H"

//static void quit(GtkWidget *wid, gpointer data){
static void quit(void *wid, gpointer data){
  gtk_main_quit();
}

int main( int   argc, char *argv[] ){
  gtk_init( &argc, &argv );

  int startVal=0;
  int minVal=0, maxVal = 1000;
  GtkInterface topWindow;
  XPMDigits temp(&topWindow);

  FieldInterface *interface=new FieldInterface(minVal, startVal, maxVal), interface1(minVal, startVal, maxVal);
  HBox hBox;

  // Quit button
  Buttons buttons; buttons<<BUTTONLABELSTRUCT{"Quit", quit, NULL};
  hBox<< buttons.grab(1);
  hBox<< interface->getWidget();
  hBox.show();
  topWindow<< hBox.getWidget();
  //  interface.update();

  // show the window
  gtk_main ();

  delete interface;

  return 0;
}
